#ifndef SIMPLE_LOGGER_HPP
#define SIMPLE_LOGGER_HPP

//Uncomment and change this define if you want to use a different file for the logs
//#define logfilename "logger.log"

#include <logger.hpp>

//Allow to specifiy the name of a thread so log will display this name
#define THREAD_NAME(name) logger::setThreadName((name))

//Log a message of the specified severity level
#define LOG(level) BOOST_LOG_SEV(logger::get(), (level))
//level can be : unknown, trace, debug, info, warning, error, fatal

//Log a message (severity set to unknown)
#define LOGGER BOOST_LOG_SEV(logger::get(), unknown)

#endif //SIMPLE_LOGGER_HPP


/* Here is a simple example of how to use the logger

#include <simple_logger.hpp>

#include <iostream>

int main(int, char*[])
{
	THREAD_NAME("Main");
	
	LOG(trace) << "Trace level message";
	LOG(debug) << "Debug level message";
	LOG(info) << "Info level message";
	LOG(warning) << "Warning level message";
	LOG(error) << "Error level message";
	LOG(fatal) << "Fatal level message";
	
	LOGGER<<"Some message";

	return 0;
}
*/
